Package pygccxml :: Package declarations :: Module cpptypes :: Class java_fundamental_t

# type java_fundamental_t

source code

    object --+
             |
        type_t --+
                 |
     fundamental_t --+
                     |
                    java_fundamental_t

Known Subclasses:
  - jboolean_t
  - , jbyte_t
  - , jchar_t
  - , jdouble_t
  - , jfloat_t
  - , jint_t
  - , jlong_t
  - , jshort_t

base class for all JNI defined fundamental types

Instance Methods

__init__(self, name) | source code

Inherited from `fundamental_t`: `build_decl_string` Inherited from `type_t`: `__eq__`, `__lt__`, `__ne__`, `__str__`, `clone`

Properties
Inherited from `type_t`: `byte_align`, `byte_size`, `decl_string`, `partial_decl_string`

Method Details

### __init__(self, name)
(Constructor)

source code

Overrides: type_t.__init__